Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7651 - Unable to upgrade 6.0 installation on DPT SCSI
Summary: Unable to upgrade 6.0 installation on DPT SCSI
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-07 13:54 UTC by spike
Modified: 2015-01-07 23:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-15 00:40:00 UTC


Attachments (Terms of Use)

Description spike 1999-12-07 13:54:41 UTC
The installer fails to detect the existing installation on a SCSI drive
attached to a DPT 2144UW SCSI adapter.

Comment 1 spike 1999-12-16 15:44:59 UTC
Shall I interpret the silence as a recommendation to switch to Debian or SuSE?

Comment 2 spike 2000-01-17 19:45:59 UTC
This appears to be related to the pcitable problem reported in bug #6463.  I've
tried to patch this on the boot floppy, but I can't make it detect the card.

Comment 3 spike 2000-01-25 14:45:59 UTC
It's been over a month now, and still no sign of acknowledgement.  As far as I
can tell, the mechanism for loading modules after booting from an installation
floppy is completely and utterly broken.  I just hope you guys aren't too busy
counting your stock options to read bug reports any more.

Comment 4 spike 2000-01-25 21:10:59 UTC
Never mind.  I finally stumbled across a workaround.  The bootnet disk for
network-based installs works fine.  I was able to load the eata module in expert
mode, which would not work under any circumstances when I booted from the CD or
with the standard boot disk.

Comment 5 Jay Turner 2000-02-09 20:19:59 UTC
This module was left off of the boot.img disk because Red Hat was not aware that
you could hang a CDROM off of the card (we later found out that you could indeed
do this :-))  We created a driver disk at that time so that people could load
the driver disk and be able to access their DPT cards.  In future releases we
will either bundle this module into the boot disk or supply access to this
driver disk (this is depending on the space available on the boot disk.)

Comment 6 Jay Turner 2000-02-15 00:39:59 UTC
Issue is resolved in latest RawHide.

Comment 7 spike 2000-03-28 16:00:59 UTC
The installer for 6.2 has indeed fixed this problem, but the kernel which gets
installed fails to load the module and is thus unable to locate the root
filesystem.  I managed to restore my old custom kernel with the EATA driver
built-in and fix the problem (with a little help from Tom's Root/Boot Disk), but
I thought you would like to know about it anyway.


Note You need to log in before you can comment on or make changes to this bug.